Resource

AI Agent Task Exception

Link between AI Agent Tasks and Telemetry Exceptions. This table tracks which exceptions are being addressed by which AI agent tasks.

The AI Agent Task Exception Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    aiAgentTask
    Type
    AI Agent Task
    Description

    Relation to AI Agent Task that is addressing this exception

  • Name
    aiAgentTaskId
    Type
    Object IDRequired
    Description

    ID of the AI Agent Task that is addressing this exception

  • Name
    telemetryException
    Type
    Exception
    Description

    Relation to Telemetry Exception being addressed by this task

  • Name
    telemetryExceptionId
    Type
    Object IDRequired
    Description

    ID of the Telemetry Exception being addressed by this task

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/ai-agent-task-telemetry-exception/get-list

List

This endpoint allows you to retrieve a paginated list of all your AI Agent Task Exception. By default, a maximum of ten AI Agent Task Exception are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/ai-agent-task-telemetry-exception/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "aiAgentTaskId": true,
    "projectId": true,
    "telemetryExceptionId": true,
    "_id": true,
    "aiAgentTask": true
  },
  "query": {},
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "3769a270-28fe-11f1-b591-3fdcef396aba",
      "aiAgentTaskId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "telemetryExceptionId": "550e8400-e29b-41d4-a716-446655440000",
      "aiAgentTask": "Example ai agent task"
    },
    {
      "_id": "3769a271-28fe-11f1-b591-3fdcef396aba",
      "aiAgentTaskId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "telemetryExceptionId": "550e8400-e29b-41d4-a716-446655440000",
      "aiAgentTask": "Example ai agent task"
    },
    {
      "_id": "3769a272-28fe-11f1-b591-3fdcef396aba",
      "aiAgentTaskId": "550e8400-e29b-41d4-a716-446655440000",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "telemetryExceptionId": "550e8400-e29b-41d4-a716-446655440000",
      "aiAgentTask": "Example ai agent task"
    }
  ]
}
GETorPOST/api/ai-agent-task-telemetry-exception/:id/get-item

Get item by ID

This endpoint allows you to retrieve AI Agent Task Exception by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/ai-agent-task-telemetry-exception/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "aiAgentTaskId": true,
    "projectId": true,
    "telemetryExceptionId": true,
    "_id": true,
    "aiAgentTask": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "aiAgentTaskId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "telemetryExceptionId": "550e8400-e29b-41d4-a716-446655440000",
  "aiAgentTask": "Example ai agent task"
}
POST/api/ai-agent-task-telemetry-exception/count

Count

This endpoint allows you to retrieve the count of all your AI Agent Task Exception.

Optional Request Body

Count Request

POST
/api/ai-agent-task-telemetry-exception/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {}
}

Response

{
  "count": 107
}
POST/api/ai-agent-task-telemetry-exception

Create AI Agent Task Exception

This endpoint allows you to create a new object.

Create Request

POST
/api/ai-agent-task-telemetry-exception
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "aiAgentTaskId": "550e8400-e29b-41d4-a716-446655440000",
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "telemetryExceptionId": "550e8400-e29b-41d4-a716-446655440000",
    "aiAgentTask": "Example ai agent task",
    "createdByUser": "Example created by user"
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "aiAgentTaskId": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "telemetryExceptionId": "550e8400-e29b-41d4-a716-446655440000",
  "aiAgentTask": "Example ai agent task"
}
PUT/api/ai-agent-task-telemetry-exception/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/ai-agent-task-telemetry-exception/:id/update-item
GET/api/ai-agent-task-telemetry-exception/:id/update-item

Update Request

PUT
/api/ai-agent-task-telemetry-exception/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {}
}

Response

{}
DELETE/api/ai-agent-task-telemetry-exception/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/ai-agent-task-telemetry-exception/:id/delete-item
GET/api/ai-agent-task-telemetry-exception/:id/delete-item

Delete Request

DELETE
/api/ai-agent-task-telemetry-exception/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read AI Agent Task Exception

  • Project Owner
  • Project Admin
  • Project Member
  • Read AI Agent Task Exception Link
  • Read All Project Resources

Create Permissions

Required to create AI Agent Task Exception

  • Project Owner
  • Project Admin
  • Project Member
  • Create AI Agent Task Exception Link

Update Permissions

Required to update AI Agent Task Exception

  • Project Owner
  • Project Admin
  • Project Member
  • Edit AI Agent Task Exception Link

Delete Permissions

Required to delete AI Agent Task Exception

  • Project Owner
  • Project Admin
  • Project Member
  • Delete AI Agent Task Exception Link